client.stub.iaccessi

## Class IAccessiService

- java.lang.Object
- - javax.xml.ws.Service
  - - client.stub.iaccessi.IAccessiService

-     @WebServiceClient(name="IAccessiService",
                        wsdlLocation="classpath:wsdl/iAccessi.wsdl",
                        targetNamespace="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/")
      public class IAccessiService
      extends Service

  This class was generated by Apache CXF 3.3.4 2024-11-15T12:11:00.213+01:00 Generated source version: 3.3.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.xml.ws.Service

      `Service.Mode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static QName` | `IAccessiPort`
    `static QName` | `SERVICE`
    `static URL` | `WSDL_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IAccessiService()`
    `IAccessiService(URL wsdlLocation)`
    `IAccessiService(URL wsdlLocation, QName serviceName)`
    `IAccessiService(URL wsdlLocation, QName serviceName, WebServiceFeature... features)`
    `IAccessiService(URL wsdlLocation, WebServiceFeature... features)`
    `IAccessiService(WebServiceFeature... features)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IAccessi` | `getIAccessiPort()`
    `IAccessi` | `getIAccessiPort(WebServiceFeature... features)`

    - ### Methods inherited from class javax.xml.ws.Service

      `addPort, create, create, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WSDL_LOCATION

          public static final URL WSDL_LOCATION

    - #### SERVICE

          public static final QName SERVICE

    - #### IAccessiPort

          public static final QName IAccessiPort

  - ### Constructor Detail

    - #### IAccessiService

          public IAccessiService(URL wsdlLocation)

    - #### IAccessiService

          public IAccessiService(URL wsdlLocation,
                                 QName serviceName)

    - #### IAccessiService

          public IAccessiService()

    - #### IAccessiService

          public IAccessiService(WebServiceFeature... features)

    - #### IAccessiService

          public IAccessiService(URL wsdlLocation,
                                 WebServiceFeature... features)

    - #### IAccessiService

          public IAccessiService(URL wsdlLocation,
                                 QName serviceName,
                                 WebServiceFeature... features)

  - ### Method Detail

    - #### getIAccessiPort

          @WebEndpoint(name="IAccessiPort")
          public IAccessi getIAccessiPort()

      Returns:
        returns IAccessi

    - #### getIAccessiPort

          @WebEndpoint(name="IAccessiPort")
          public IAccessi getIAccessiPort(WebServiceFeature... features)

      Parameters:
        `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
      Returns:
        returns IAccessi

Copyright © 2024. All rights reserved.